Python
import requests
url = "https://app.langwatch.ai/api/evaluators/{idOrSlug}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"config": {},
"workflowId": "<string>",
"copiedFromEvaluatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"fields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"outputFields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"platformUrl": "<string>",
"workflowName": "<string>",
"workflowIcon": "<string>"
}Evaluators
Get a specific evaluator by ID or slug
Get a specific evaluator by ID or slug
GET
/
api
/
evaluators
/
{idOrSlug}
Python
import requests
url = "https://app.langwatch.ai/api/evaluators/{idOrSlug}"
headers = {"X-Auth-Token": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text){
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"slug": "<string>",
"type": "<string>",
"config": {},
"workflowId": "<string>",
"copiedFromEvaluatorId": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"fields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"outputFields": [
{
"identifier": "<string>",
"type": "<string>",
"optional": true
}
],
"platformUrl": "<string>",
"workflowName": "<string>",
"workflowIcon": "<string>"
}Authorizations
Project API key for sending traces and accessing project-scoped resources. Format: sk-lw-... (no underscore). Obtain one by creating a project via the Admin API or the LangWatch UI.
Path Parameters
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I